int latchPin = 8; 
int clockPin = 12; 
int dataPin = 11; 

void setup() {
  pinMode(clockPin, OUTPUT);
  pinMode(dataPin, OUTPUT);
  pinMode(latchPin, OUTPUT);
  digitalWrite(latchPin, HIGH);
}

void loop() {
  sendBitsToShift (127);
}

void sendBitsToShift (byte value){
  digitalWrite(latchPin, LOW);
  shiftOut(dataPin, clockPin, MSBFIRST, value);
  digitalWrite(latchPin, HIGH);
}


