//вывод 8 платы подключаем к выводу ST_CP 
//вывод 12 платы подключаем к выводу SH_CP 
//вывод 11 платы подключаем к выводу DS 

int latchPin = 8; 
int clockPin = 12; 
int dataPin = 11; 
  
void setup() 
{ 
  //устанавливаем режим OUTPUT
  pinMode(latchPin, OUTPUT); 
  pinMode(clockPin, OUTPUT); 
  pinMode(dataPin, OUTPUT); 
} 
  
void loop() 
{ 
  // отсчитываем от 0 до 255  и отображаем значение на светодиодах
  for (int NumberToLed = 0; NumberToLed < 256; NumberToLed++) 
{ 
   // устанавливаем защелку в "0" пока не окончена передача байта
   digitalWrite(latchPin, LOW);
   // последовательно считываем значения с dataPin 
   shiftOut(dataPin, clockPin, MSBFIRST, NumberToLed);
/*
  shiftOut() выводит байт информации на порт вход/выхода последовательно (побитно).
  MSBFIRST (Most Significant Bit First) — слева 
*/   
   //"защелкиваем" регистр, устанавливая HIGH на latchPin, чтобы проинформировать регистр, что передача окончена 
    digitalWrite(latchPin, HIGH); 
    // пауза перед следующей итерацией 
    delay(1000); 
  } 
}

