int latchPin = 8; 
int clockPin = 12; 
int dataPin = 11;

boolean statesOfpin[8];

void setup() {
  pinMode(clockPin, OUTPUT);
  pinMode(dataPin, OUTPUT);
  pinMode(latchPin, OUTPUT);
  digitalWrite(latchPin, HIGH);
}

void loop() {
  sendBitsToPin (1, HIGH);
  sendBitsToPin (4, HIGH);
  sendBitsToPin (5, HIGH);
  sendBitsToPin (8, HIGH);
}

void sendBitsToShift (byte value){
  digitalWrite(latchPin, LOW);
  shiftOut(dataPin, clockPin, MSBFIRST, value);
  digitalWrite(latchPin, HIGH);
}

void sendBitsToPin (int pin, boolean state){
  pin--; 
  statesOfpin [pin] = state; 
  byte value = 0;
  byte add = 1; 
  for(int i=0; i<8; i++){
    if(statesOfpin [i]==HIGH) value+=add;
    add*=2;
  }
  sendBitsToShift (value);
}

